# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Find-Object-Rule
Version:	0.0306
Release:	1.%{__distinit}%{__distvers}
Summary:	Alternative interface to File::Find::Object
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/File-Find-Object-Rule
Source0:	http://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/File-Find-Object-Rule-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::XSAccessor)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find::Object)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Number::Compare)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::Glob)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Script Runtime
BuildRequires:	perl(File::Spec::Functions)
# Test Suite
BuildRequires:	perl(File::Path)
BuildRequires:	perl(Test::More)
# Extra Tests
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Pod) >= 1.14
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
BuildRequires:	perl(Test::TrailingSpace)
%endif
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%if 0%{?fedora} < 23 && 0%{?rhel} < 8
Requires:	perl(Class::XSAccessor)
%endif

%description
File::Find::Object::Rule is a friendlier interface to File::Find::Object. It 
allows you to build rules that specify the desired files and directories.

%prep
%setup -q -n File-Find-Object-Rule-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}

%check
RELEASE_TESTING=1 ./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{_bindir}/findorule
%{perl_vendorlib}/File/
%{_mandir}/man1/findorule.1*
%{_mandir}/man3/File::Find::Object::Rule.3*
%{_mandir}/man3/File::Find::Object::Rule::Extending.3*
%{_mandir}/man3/File::Find::Object::Rule::Procedural.3*

%changelog
* Mon Sep 12 2016 Paul Howarth <paul@city-fan.org> - 0.0306-1
- Update to 0.0306
  - Made the trailing space tests RELEASE_TESTING only

* Tue Aug 23 2016 Paul Howarth <paul@city-fan.org> - 0.0305-8
- BR: perl-generators where available

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 0.0305-2
- Use %%license where possible

* Mon May 19 2014 Paul Howarth <paul@city-fan.org> - 0.0305-1
- Update to 0.0305
  - Made the tests succeed if run in parallel (e.g. HARNESS_OPTIONS='j4:c')

* Fri Apr 11 2014 Paul Howarth <paul@city-fan.org> - 0.0304-3
- Enable Test::TrailingSpace

* Fri Apr 11 2014 Paul Howarth <paul@city-fan.org> - 0.0304-2
- Import from Fedora

* Thu Feb 13 2014 Christopher Meng <rpm@cicku.me> - 0.0304-1
- Update to 0.0304

* Sat Aug  3 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0303-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.0303-1
- Initial Package
